Bug 37587 - new-run-webkit-tests: try to detect alternate apache path
Summary: new-run-webkit-tests: try to detect alternate apache path
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on: 37765
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-14 11:04 PDT by Tor Arne Vestbø
Modified: 2010-04-21 03:57 PDT (History)
2 users (show)

See Also:


Attachments
Patch (1.68 KB, patch)
2010-04-14 11:06 PDT, Tor Arne Vestbø
no flags Details | Formatted Diff | Diff
Patch (2.27 KB, patch)
2010-04-14 13:03 PDT, Tor Arne Vestbø
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tor Arne Vestbø 2010-04-14 11:04:08 PDT
new-run-webkit-tests: try to detect alternate apache path
Comment 1 Tor Arne Vestbø 2010-04-14 11:06:13 PDT
Created attachment 53345 [details]
Patch
Comment 2 Eric Seidel (no email) 2010-04-14 11:38:38 PDT
Comment on attachment 53345 [details]
Patch

Seems reasonable.  We should add a comment about why we have to detect multiple apaches.

Also, it seems like we might want to cache this information so we're not stating the file repeatedly?
Comment 3 Tor Arne Vestbø 2010-04-14 13:03:34 PDT
Created attachment 53356 [details]
Patch
Comment 4 Eric Seidel (no email) 2010-04-14 13:16:41 PDT
Comment on attachment 53356 [details]
Patch

Fantastic!
Comment 5 WebKit Commit Bot 2010-04-14 19:48:59 PDT
Comment on attachment 53356 [details]
Patch

Rejecting patch 53356 from commit-queue.

Unexpected failure when landing patch!  Please file a bug against webkit-patch.
Failed to run "['WebKitTools/Scripts/webkit-patch', '--status-host=webkit-commit-queue.appspot.com', 'land-attachment', '--force-clean', '--build', '--test', '--non-interactive', '--ignore-builders', '--build-style=both', '--quiet', '53356', '--parent-command=commit-queue', '--no-update']" exit_code: 1
Last 500 characters of output:
', 'commit', '--all', '-F', '-'], input=message)
  File "/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/webkitpy/common/system/executive.py", line 85, in run_command
    return Executive().run_command(*args, **kwargs)
  File "/Users/eseidel/Projects/CommitQueue/WebKitTools/Scripts/webkitpy/common/system/executive.py", line 186, in run_command
    string_to_communicate = str(input)
UnicodeEncodeError: 'ascii' codec can't encode character u'\xf8' in position 26: ordinal not in range(128)
Comment 6 Eric Seidel (no email) 2010-04-14 20:13:22 PDT
I think I know how to fix this now.

We can use codec.encode(input, "latin1") (or some variant) to encode the utf-8 down to latin1 w/o exception before passing to to the subprocess?
Comment 7 Eric Seidel (no email) 2010-04-14 20:23:43 PDT
Actually, I mispoke.  We likely want to encode the python unicode object into utf8 to feed to our subproccess.
Comment 8 Eric Seidel (no email) 2010-04-19 12:24:05 PDT
Sorry.  If bug 37765 isn't landed today, I'll land this change by hand.
Comment 9 Eric Seidel (no email) 2010-04-20 12:57:51 PDT
Comment on attachment 53356 [details]
Patch

Sorry again for the trouble.
Comment 10 Eric Seidel (no email) 2010-04-21 03:48:51 PDT
Comment on attachment 53356 [details]
Patch

The fix for bug 37765 was rolled out.  So this will fail to land.  Hopefully I'll reland the fix tomorrow at which point I'll cq+ this again.
Comment 11 Eric Seidel (no email) 2010-04-21 03:57:46 PDT
Comment on attachment 53356 [details]
Patch

Clearing flags on attachment: 53356

Committed r57964: <http://trac.webkit.org/changeset/57964>
Comment 12 Eric Seidel (no email) 2010-04-21 03:57:56 PDT
All reviewed patches have been landed.  Closing bug.